# TFastFourrier Class Reference
[Math classes]

Inheritance diagram for TFastFourrier:

List of all members.

## Classes
struct | TColumnAlias
## Public Member Functions
| TFastFourrier ()
void | Init (int32 power, boolean directFFT)
void | Transform1D (TMCArray< TComplex > &f)
void | Transform2D (TMCClassArray< TMCArray< TComplex > > &f)
void | TransformRow (TMCClassArray< TMCArray< TComplex > > &f, int32 row)
void | TransformCol (TMCClassArray< TMCArray< TComplex > > &f, int32 col)
## Protected Member Functions
int32 | ReverseBits (int32 ii)
void | FillReversedBits ()
void | FillTwidles (boolean directFFT)
template<class T >
void | TransformArray (T &f)
## Protected Attributes
int32 | fPower
int32 | fN
int32 | fNDiv2
TMCArray< int32 > | fReversedBits
TMCArray< TComplex > | fTwidles

## Detailed Description

FFT and IFFT implementation for 1D and 2D data The transformations are done "in place"

## Constructor & Destructor Documentation

TFastFourrier::TFastFourrier | ( |  | ) |

## Member Function Documentation

void TFastFourrier::FillReversedBits | ( |  | ) | `[protected]`

void TFastFourrier::FillTwidles | ( | boolean | directFFT | ) | `[protected]`

void TFastFourrier::Init | ( | int32 | power,
|  | boolean | directFFT |
| ) |  |  |

int32 TFastFourrier::ReverseBits | ( | int32 | ii | ) | `[protected]`

void TFastFourrier::Transform1D | ( | TMCArray< TComplex > & | f | ) |

void TFastFourrier::Transform2D | ( | TMCClassArray< TMCArray< TComplex > > & | f | ) |

template<class T >

void TFastFourrier::TransformArray | ( | T & | f | ) | `[inline, protected]`

void TFastFourrier::TransformCol | ( | TMCClassArray< TMCArray< TComplex > > & | f,
|  | int32 | col |
| ) |  |  |

void TFastFourrier::TransformRow | ( | TMCClassArray< TMCArray< TComplex > > & | f,
|  | int32 | row |
| ) |  |  |

## Member Data Documentation

int32 TFastFourrier::fN`[protected]`

int32 TFastFourrier::fNDiv2`[protected]`

int32 TFastFourrier::fPower`[protected]`

TMCArray<int32> TFastFourrier::fReversedBits`[protected]`

TMCArray<TComplex> TFastFourrier::fTwidles`[protected]`

The documentation for this class was generated from the following file:

- FastFourrier.h